Subject: Re: quirk_e100_interrupt() called too early

From: Marian Balakowicz <[email-masked]>
Date: Tue, 03 Jul 2007 11:00:07 +0200

Kok, Auke wrote:
> Marian Balakowicz wrote:
>> The patch below delays the quirk_100_interrupt() to pci_fixup_final
>> phase, which happens after bus enumeration and before device PCI enable
>> and device driver initialization - so, it seem to be still a good place
>> for this quirk. It works fine for me but I only tested it on a tqm5200.
>> Could someone please help and verify that on other platforms?
> 
> will try to do. This sounds indeed like the proper thing to do. Unfortunately I 
> don't have any NICs to repro this on (allthough I have a ppc box with said 
> firmware probe method).
> 
> Bjorn orignially wrote this patch, perhaps he can comment on the fixup move?
> 
> Also, please send a signed-off-by patch so I can push it forward as usual.

Sure, will do that, just wanted someone to have a look at it in the first place.

Best Regards,
Marian